#include <bits/stdc++.h>

using namespace std;

int main()
{
	int n=0;
	cin >> n;
	int* zarade = new int[n];
	double* porezi = new double[n];
	for (int i = 0; i < n; i++)
	{
		int a=0;
		double p=0;
		cin >> a;
		cin >> p;
		zarade[i] = a;
		porezi[i] = p/100.0;
	}
	double maxPorez = 0;
	for (int i = 0; i < n; i++)
	{
		double mp = 0;
		double porez = porezi[i];
		for (int j = 0; j < n; j++)
		{
			if (!(porez > porezi[j]))
			{
				mp += porez * zarade[j];
			}
		}
		if (mp > maxPorez)
			maxPorez = mp;
	}
	cout << std::fixed;
	cout << std::setprecision(4);
	cout << maxPorez;
	return 0;
}